commit:     8d89b828ff39b47982213f60343d83e2686226ae
Author:     Matthew Thode <prometheanfire <AT> gentoo <DOT> org>
AuthorDate: Sun Mar 24 23:50:55 2019 +0000
Commit:     Matthew Thode <prometheanfire <AT> gentoo <DOT> org>
CommitDate: Mon Mar 25 00:06:51 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8d89b828

sys-auth/keystone: remove pike/queens

Package-Manager: Portage-2.3.62, Repoman-2.3.12
Signed-off-by: Matthew Thode <prometheanfire <AT> gentoo.org>

 sys-auth/keystone/Manifest                    |   2 -
 sys-auth/keystone/keystone-12.0.2.ebuild      | 175 -------------------------
 sys-auth/keystone/keystone-13.0.2.ebuild      | 176 --------------------------
 sys-auth/keystone/keystone-2017.2.9999.ebuild | 176 --------------------------
 sys-auth/keystone/keystone-2018.1.9999.ebuild | 176 --------------------------
 5 files changed, 705 deletions(-)

diff --git a/sys-auth/keystone/Manifest b/sys-auth/keystone/Manifest
index cd8a660d1c9..0e505071b16 100644
--- a/sys-auth/keystone/Manifest
+++ b/sys-auth/keystone/Manifest
@@ -1,5 +1,3 @@
-DIST keystone-12.0.2.tar.gz 1492547 BLAKE2B 
2f7b8b5535cb75dd846a1570fabf95c47e64b162d70c4af3e66d5f379c1a45d383b0ac9fce0a7b48875c210e9c4306476938fe8ddbb04dfc9f75cfc51ce10856
 SHA512 
8468ef9967b95cc75b02c5b9c66ff71033853674c5012aecf37b98c71af72451e8cdbb4070c1a9197c404f97a5948f214adf6911a3ac5d5ee23c75ec3593433b
-DIST keystone-13.0.2.tar.gz 1462728 BLAKE2B 
8bcdbaecf79e2f5e1fbcd840dd27967312320c5f0fe45ed40aa1b339f627cb96ce8186ece9c0b6ab40e66e3699e5be25b0978af056aa86f6da4d5e9b6031285a
 SHA512 
d600ea56acb14a9d34461e599375d6f1b62deb8e8cc33c939e8dec885539aaaa6f57e86e4d8334b92ecd00a68f881f3dd4805feca5cdb3de808743893ce07c68
 DIST keystone-14.0.1.tar.gz 1526741 BLAKE2B 
5ae1a6f0e7a7ce737b3a0fdbd2900e8cb1541ec3b1e08228d4abf58d8021a06a6c9db654ef71c22636436f2601bd49d4934f24650e2a44c101c9610ed7b011af
 SHA512 
87065a16ca70dc9115d331f1e0f3669ac9661f5172f9e8afbecef48e7dd9a4726438b4d757fa54bbd6095a5543427dc913f90a765e83ffb30284b1f8dbfbb8e7
 DIST keystone.conf.sample-14.0.1 119794 BLAKE2B 
3f3c43b0972230a57b444ffe3ca41fa94a0886831941c8c259738e6575b74776a6add907fac833ba178769bbecd4bc16fe383b53344c1e3cebf3d4eacdbcb50d
 SHA512 
5513b4e3bed869d6fa56bf6163355de2dcbf859dd8f7e76ffa3a0e7b644fe367bbde75a4e090098faba473e1fb26b061d434771e9e6bb8cb105ca609c161e5c1
 DIST keystone.conf.sample-2018.2.9999 119794 BLAKE2B 
3f3c43b0972230a57b444ffe3ca41fa94a0886831941c8c259738e6575b74776a6add907fac833ba178769bbecd4bc16fe383b53344c1e3cebf3d4eacdbcb50d
 SHA512 
5513b4e3bed869d6fa56bf6163355de2dcbf859dd8f7e76ffa3a0e7b644fe367bbde75a4e090098faba473e1fb26b061d434771e9e6bb8cb105ca609c161e5c1

diff --git a/sys-auth/keystone/keystone-12.0.2.ebuild 
b/sys-auth/keystone/keystone-12.0.2.ebuild
deleted file mode 100644
index 7948cd53978..00000000000
--- a/sys-auth/keystone/keystone-12.0.2.ebuild
+++ /dev/null
@@ -1,175 +0,0 @@
-# Copyright 1999-2018 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=6
-
-PYTHON_COMPAT=( python2_7 python3_{4,5} )
-
-inherit distutils-r1 user
-
-DESCRIPTION="The Openstack authentication, authorization, and service catalog"
-HOMEPAGE="https://launchpad.net/keystone";
-SRC_URI="https://tarballs.openstack.org/${PN}/${P}.tar.gz";
-
-LICENSE="Apache-2.0"
-SLOT="0"
-KEYWORDS="amd64 ~arm64 x86"
-IUSE="+sqlite ldap memcached mongo mysql postgres test"
-REQUIRED_USE="|| ( mysql postgres sqlite )"
-
-CDEPEND=">=dev-python/pbr-2.0.0[${PYTHON_USEDEP}]
-       !~dev-python/pbr-2.1.0"
-DEPEND="
-       dev-python/setuptools[${PYTHON_USEDEP}]
-       ${CDEPEND}"
-RDEPEND="
-       ${CDEPEND}
-       >=dev-python/Babel-2.3.4[${PYTHON_USEDEP}]
-       !~dev-python/Babel-2.4.0[${PYTHON_USEDEP}]
-       >=dev-python/webob-1.7.1[${PYTHON_USEDEP}]
-       >=dev-python/pastedeploy-1.5.0[${PYTHON_USEDEP}]
-       dev-python/paste[${PYTHON_USEDEP}]
-       >=dev-python/routes-2.3.1[${PYTHON_USEDEP}]
-       >=dev-python/cryptography-1.6[${PYTHON_USEDEP}]
-       !~dev-python/cryptography-2.0[${PYTHON_USEDEP}]
-       >=dev-python/six-1.9.0[${PYTHON_USEDEP}]
-       sqlite? (
-               >=dev-python/sqlalchemy-1.0.10[sqlite,${PYTHON_USEDEP}]
-               !~dev-python/sqlalchemy-1.1.5[sqlite,${PYTHON_USEDEP}]
-               !~dev-python/sqlalchemy-1.1.6[sqlite,${PYTHON_USEDEP}]
-               !~dev-python/sqlalchemy-1.1.7[sqlite,${PYTHON_USEDEP}]
-               !~dev-python/sqlalchemy-1.1.8[sqlite,${PYTHON_USEDEP}]
-       )
-       mysql? (
-               >=dev-python/pymysql-0.7.6[${PYTHON_USEDEP}]
-               !~dev-python/pymysql-0.7.7[${PYTHON_USEDEP}]
-               >=dev-python/sqlalchemy-1.0.10[${PYTHON_USEDEP}]
-               !~dev-python/sqlalchemy-1.1.5[${PYTHON_USEDEP}]
-               !~dev-python/sqlalchemy-1.1.6[${PYTHON_USEDEP}]
-               !~dev-python/sqlalchemy-1.1.7[${PYTHON_USEDEP}]
-               !~dev-python/sqlalchemy-1.1.8[${PYTHON_USEDEP}]
-       )
-       postgres? (
-               >=dev-python/psycopg-2.5.0[${PYTHON_USEDEP}]
-               >=dev-python/sqlalchemy-1.0.10[${PYTHON_USEDEP}]
-               !~dev-python/sqlalchemy-1.1.5[${PYTHON_USEDEP}]
-               !~dev-python/sqlalchemy-1.1.6[${PYTHON_USEDEP}]
-               !~dev-python/sqlalchemy-1.1.7[${PYTHON_USEDEP}]
-               !~dev-python/sqlalchemy-1.1.8[${PYTHON_USEDEP}]
-       )
-       >=dev-python/sqlalchemy-migrate-0.11.0[${PYTHON_USEDEP}]
-       >=dev-python/stevedore-1.20.0[${PYTHON_USEDEP}]
-       >=dev-python/passlib-1.7.0[${PYTHON_USEDEP}]
-       >=dev-python/python-keystoneclient-3.8.0[${PYTHON_USEDEP}]
-       >=dev-python/keystonemiddleware-4.12.0[${PYTHON_USEDEP}]
-       >=dev-python/bcrypt-3.1.3[${PYTHON_USEDEP}]
-       >=dev-python/scrypt-0.8.0[${PYTHON_USEDEP}]
-       >=dev-python/oslo-cache-1.5.0[${PYTHON_USEDEP}]
-       >=dev-python/oslo-concurrency-3.8.0[${PYTHON_USEDEP}]
-       >=dev-python/oslo-config-4.0.0[${PYTHON_USEDEP}]
-       !~dev-python/oslo-config-4.3.0[${PYTHON_USEDEP}]
-       !~dev-python/oslo-config-4.4.0[${PYTHON_USEDEP}]
-       >=dev-python/oslo-context-2.14.0[${PYTHON_USEDEP}]
-       >=dev-python/oslo-messaging-5.24.2[${PYTHON_USEDEP}]
-       !~dev-python/oslo-messaging-5.25.0[${PYTHON_USEDEP}]
-       >=dev-python/oslo-db-4.24.0[${PYTHON_USEDEP}]
-       >=dev-python/oslo-i18n-2.1.0[${PYTHON_USEDEP}]
-       !~dev-python/oslo-i18n-3.15.2[${PYTHON_USEDEP}]
-       >=dev-python/oslo-log-3.22.0[${PYTHON_USEDEP}]
-       >=dev-python/oslo-middleware-3.27.0[${PYTHON_USEDEP}]
-       >=dev-python/oslo-policy-1.23.0[${PYTHON_USEDEP}]
-       >=dev-python/oslo-serialization-1.10.0[${PYTHON_USEDEP}]
-       !~dev-python/oslo-serialization-1.19.1[${PYTHON_USEDEP}]
-       >=dev-python/oslo-utils-3.20.0[${PYTHON_USEDEP}]
-       >=dev-python/oauthlib-0.6.0[${PYTHON_USEDEP}]
-       >=dev-python/pysaml2-2.4.0[${PYTHON_USEDEP}]
-       <dev-python/pysaml2-4.0.3[${PYTHON_USEDEP}]
-       >=dev-python/dogpile-cache-0.6.2[${PYTHON_USEDEP}]
-       >=dev-python/jsonschema-2.0.0[${PYTHON_USEDEP}]
-       !~dev-python/jsonschema-2.5.0[${PYTHON_USEDEP}]
-       <dev-python/jsonschema-3.0.0[${PYTHON_USEDEP}]
-       >=dev-python/pycadf-1.1.0[${PYTHON_USEDEP}]
-       !~dev-python/pycadf-2.0.0[${PYTHON_USEDEP}]
-       >=dev-python/msgpack-0.4.0[${PYTHON_USEDEP}]
-       >=dev-python/osprofiler-1.4.0[${PYTHON_USEDEP}]
-       >=dev-python/pytz-2013.6[${PYTHON_USEDEP}]
-       memcached? (
-               >=dev-python/python-memcached-1.56[${PYTHON_USEDEP}]
-       )
-       mongo? (
-               >=dev-python/pymongo-3.0.2[${PYTHON_USEDEP}]
-               !~dev-python/pymongo-3.1[${PYTHON_USEDEP}]
-       )
-       ldap? (
-               >=dev-python/pyldap-2.4.20[${PYTHON_USEDEP}]
-               >=dev-python/ldappool-2.0.0[${PYTHON_USEDEP}]
-       )
-       || (
-               www-servers/uwsgi[python,${PYTHON_USEDEP}]
-               www-apache/mod_wsgi[${PYTHON_USEDEP}]
-               www-servers/gunicorn[${PYTHON_USEDEP}]
-       )"
-
-#PATCHES=(
-#)
-
-pkg_setup() {
-       enewgroup keystone
-       enewuser keystone -1 -1 /var/lib/keystone keystone
-}
-
-python_prepare_all() {
-       # it's in git, but not in the tarball.....
-       sed -i '/^hacking/d' test-requirements.txt || die
-       mkdir -p ${PN}/tests/tmp/ || die
-       cp etc/keystone-paste.ini ${PN}/tests/tmp/ || die
-       sed -i 's|/usr/local|/usr|g' httpd/keystone-uwsgi-* || die
-       sed -i 's|python|python27|g' httpd/keystone-uwsgi-* || die
-       # allow useage of renamed msgpack
-       sed -i '/^msgpack/d' requirements.txt || die
-       distutils-r1_python_prepare_all
-}
-
-python_test() {
-       nosetests -I 'test_keystoneclient*' \
-               -e test_static_translated_string_is_Message \
-               -e test_get_token_id_error_handling \
-               -e test_provider_token_expiration_validation \
-               -e test_import --process-restartworker --process-timeout=60 || 
die "testsuite failed under python2.7"
-}
-
-python_install_all() {
-       distutils-r1_python_install_all
-
-       diropts -m 0750
-       keepdir /etc/keystone /var/log/keystone
-       insinto /etc/keystone
-       insopts -m0640 -okeystone -gkeystone
-       doins etc/keystone.conf.sample etc/logging.conf.sample
-       doins etc/default_catalog.templates
-       doins etc/policy.v3cloudsample.json etc/keystone-paste.ini
-       insinto /etc/keystone/httpd
-       doins httpd/*
-
-       fowners keystone:keystone /etc/keystone /etc/keystone/httpd 
/var/log/keystone
-}
-
-pkg_postinst() {
-       elog "You might want to run:"
-       elog "emerge --config =${CATEGORY}/${PF}"
-       elog "if this is a new install."
-       elog "If you have not already configured your openssl installation"
-       elog "please do it by modifying /etc/ssl/openssl.cnf"
-       elog "BEFORE issuing the configuration command."
-       elog "Otherwise default values will be used."
-}
-
-pkg_config() {
-       if [ ! -d "${ROOT}"/etc/keystone/ssl ] ; then
-               einfo "Press ENTER to configure the keystone PKI, or Control-C 
to abort now..."
-               read
-               "${ROOT}"/usr/bin/keystone-manage pki_setup --keystone-user 
keystone --keystone-group keystone
-       else
-               einfo "keystone PKI certificates directory already present, 
skipping configuration"
-       fi
-}

diff --git a/sys-auth/keystone/keystone-13.0.2.ebuild 
b/sys-auth/keystone/keystone-13.0.2.ebuild
deleted file mode 100644
index c808f34b6a0..00000000000
--- a/sys-auth/keystone/keystone-13.0.2.ebuild
+++ /dev/null
@@ -1,176 +0,0 @@
-# Copyright 1999-2018 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=6
-
-PYTHON_COMPAT=( python2_7 python3_{4,5,6} )
-
-inherit distutils-r1 user
-
-DESCRIPTION="The Openstack authentication, authorization, and service catalog"
-HOMEPAGE="https://launchpad.net/keystone";
-if [[ ${PV} == *9999 ]];then
-       inherit git-r3
-       EGIT_REPO_URI="https://github.com/openstack/keystone.git";
-       EGIT_BRANCH="stable/queens"
-else
-       SRC_URI="https://tarballs.openstack.org/${PN}/${P}.tar.gz";
-       KEYWORDS="amd64 ~arm64 x86"
-fi
-
-LICENSE="Apache-2.0"
-SLOT="0"
-IUSE="+sqlite ldap memcached mongo mysql postgres test"
-REQUIRED_USE="|| ( mysql postgres sqlite )"
-
-CDEPEND=">=dev-python/pbr-2.0.0[${PYTHON_USEDEP}]
-       !~dev-python/pbr-2.1.0"
-DEPEND="
-       dev-python/setuptools[${PYTHON_USEDEP}]
-       ${CDEPEND}"
-RDEPEND="
-       ${CDEPEND}
-       >=dev-python/Babel-2.3.4[${PYTHON_USEDEP}]
-       !~dev-python/Babel-2.4.0[${PYTHON_USEDEP}]
-       >=dev-python/webob-1.7.1[${PYTHON_USEDEP}]
-       >=dev-python/pastedeploy-1.5.0[${PYTHON_USEDEP}]
-       >=dev-python/paste-2.0.2[${PYTHON_USEDEP}]
-       >=dev-python/routes-2.3.1[${PYTHON_USEDEP}]
-       >=dev-python/cryptography-1.9[${PYTHON_USEDEP}]
-       !~dev-python/cryptography-2.0[${PYTHON_USEDEP}]
-       >=dev-python/six-1.10.0[${PYTHON_USEDEP}]
-       sqlite? (
-               >=dev-python/sqlalchemy-1.0.10[sqlite,${PYTHON_USEDEP}]
-               !~dev-python/sqlalchemy-1.1.5[sqlite,${PYTHON_USEDEP}]
-               !~dev-python/sqlalchemy-1.1.6[sqlite,${PYTHON_USEDEP}]
-               !~dev-python/sqlalchemy-1.1.7[sqlite,${PYTHON_USEDEP}]
-               !~dev-python/sqlalchemy-1.1.8[sqlite,${PYTHON_USEDEP}]
-       )
-       mysql? (
-               >=dev-python/pymysql-0.7.6[${PYTHON_USEDEP}]
-               !~dev-python/pymysql-0.7.7[${PYTHON_USEDEP}]
-               >=dev-python/sqlalchemy-1.0.10[${PYTHON_USEDEP}]
-               !~dev-python/sqlalchemy-1.1.5[${PYTHON_USEDEP}]
-               !~dev-python/sqlalchemy-1.1.6[${PYTHON_USEDEP}]
-               !~dev-python/sqlalchemy-1.1.7[${PYTHON_USEDEP}]
-               !~dev-python/sqlalchemy-1.1.8[${PYTHON_USEDEP}]
-       )
-       postgres? (
-               >=dev-python/psycopg-2.5.0[${PYTHON_USEDEP}]
-               >=dev-python/sqlalchemy-1.0.10[${PYTHON_USEDEP}]
-               !~dev-python/sqlalchemy-1.1.5[${PYTHON_USEDEP}]
-               !~dev-python/sqlalchemy-1.1.6[${PYTHON_USEDEP}]
-               !~dev-python/sqlalchemy-1.1.7[${PYTHON_USEDEP}]
-               !~dev-python/sqlalchemy-1.1.8[${PYTHON_USEDEP}]
-       )
-       >=dev-python/sqlalchemy-migrate-0.11.0[${PYTHON_USEDEP}]
-       >=dev-python/stevedore-1.20.0[${PYTHON_USEDEP}]
-       >=dev-python/passlib-1.7.0[${PYTHON_USEDEP}]
-       >=dev-python/python-keystoneclient-3.8.0[${PYTHON_USEDEP}]
-       >=dev-python/keystonemiddleware-4.17.0[${PYTHON_USEDEP}]
-       >=dev-python/bcrypt-3.1.3[${PYTHON_USEDEP}]
-       >=dev-python/scrypt-0.8.0[${PYTHON_USEDEP}]
-       >=dev-python/oslo-cache-1.26.0[${PYTHON_USEDEP}]
-       >=dev-python/oslo-concurrency-3.25.0[${PYTHON_USEDEP}]
-       >=dev-python/oslo-config-5.1.0[${PYTHON_USEDEP}]
-       >=dev-python/oslo-context-2.14.0[${PYTHON_USEDEP}]
-       >=dev-python/oslo-messaging-5.29.0[${PYTHON_USEDEP}]
-       >=dev-python/oslo-db-4.27.0[${PYTHON_USEDEP}]
-       >=dev-python/oslo-i18n-3.15.3[${PYTHON_USEDEP}]
-       >=dev-python/oslo-log-3.36.0[${PYTHON_USEDEP}]
-       >=dev-python/oslo-middleware-3.31.0[${PYTHON_USEDEP}]
-       >=dev-python/oslo-policy-1.30.0[${PYTHON_USEDEP}]
-       >=dev-python/oslo-serialization-1.18.0[${PYTHON_USEDEP}]
-       !~dev-python/oslo-serialization-1.19.1[${PYTHON_USEDEP}]
-       >=dev-python/oslo-utils-3.33.0[${PYTHON_USEDEP}]
-       >=dev-python/oauthlib-0.6.0[${PYTHON_USEDEP}]
-       >=dev-python/pysaml2-4.0.2[${PYTHON_USEDEP}]
-       <dev-python/pysaml2-4.0.3[${PYTHON_USEDEP}]
-       >=dev-python/dogpile-cache-0.6.2[${PYTHON_USEDEP}]
-       >=dev-python/jsonschema-2.6.0[${PYTHON_USEDEP}]
-       <dev-python/jsonschema-3.0.0[${PYTHON_USEDEP}]
-       >=dev-python/pycadf-1.1.0[${PYTHON_USEDEP}]
-       !~dev-python/pycadf-2.0.0[${PYTHON_USEDEP}]
-       >=dev-python/msgpack-0.4.0[${PYTHON_USEDEP}]
-       >=dev-python/osprofiler-1.4.0[${PYTHON_USEDEP}]
-       >=dev-python/pytz-2013.6[${PYTHON_USEDEP}]
-       memcached? (
-               >=dev-python/python-memcached-1.56[${PYTHON_USEDEP}]
-       )
-       mongo? (
-               >=dev-python/pymongo-3.0.2[${PYTHON_USEDEP}]
-               !~dev-python/pymongo-3.1[${PYTHON_USEDEP}]
-       )
-       ldap? (
-               >=dev-python/pyldap-2.4.20[${PYTHON_USEDEP}]
-               >=dev-python/ldappool-2.0.0[${PYTHON_USEDEP}]
-       )
-       || (
-               www-servers/uwsgi[python,${PYTHON_USEDEP}]
-               www-apache/mod_wsgi[${PYTHON_USEDEP}]
-               www-servers/gunicorn[${PYTHON_USEDEP}]
-       )"
-
-#PATCHES=(
-#)
-
-pkg_setup() {
-       enewgroup keystone
-       enewuser keystone -1 -1 /var/lib/keystone keystone
-}
-
-python_prepare_all() {
-       # it's in git, but not in the tarball.....
-       sed -i '/^hacking/d' test-requirements.txt || die
-       mkdir -p ${PN}/tests/tmp/ || die
-       cp etc/keystone-paste.ini ${PN}/tests/tmp/ || die
-       sed -i 's|/usr/local|/usr|g' httpd/keystone-uwsgi-* || die
-       sed -i 's|python|python27|g' httpd/keystone-uwsgi-* || die
-       # allow useage of renamed msgpack
-       sed -i '/^msgpack/d' requirements.txt || die
-       distutils-r1_python_prepare_all
-}
-
-python_test() {
-       nosetests -I 'test_keystoneclient*' \
-               -e test_static_translated_string_is_Message \
-               -e test_get_token_id_error_handling \
-               -e test_provider_token_expiration_validation \
-               -e test_import --process-restartworker --process-timeout=60 || 
die "testsuite failed under python2.7"
-}
-
-python_install_all() {
-       distutils-r1_python_install_all
-
-       diropts -m 0750
-       keepdir /etc/keystone /var/log/keystone
-       insinto /etc/keystone
-       insopts -m0640 -okeystone -gkeystone
-       doins etc/keystone.conf.sample etc/logging.conf.sample
-       doins etc/default_catalog.templates
-       doins etc/policy.v3cloudsample.json etc/keystone-paste.ini
-       insinto /etc/keystone/httpd
-       doins httpd/*
-
-       fowners keystone:keystone /etc/keystone /etc/keystone/httpd 
/var/log/keystone
-}
-
-pkg_postinst() {
-       elog "You might want to run:"
-       elog "emerge --config =${CATEGORY}/${PF}"
-       elog "if this is a new install."
-       elog "If you have not already configured your openssl installation"
-       elog "please do it by modifying /etc/ssl/openssl.cnf"
-       elog "BEFORE issuing the configuration command."
-       elog "Otherwise default values will be used."
-}
-
-pkg_config() {
-       if [ ! -d "${ROOT}"/etc/keystone/ssl ] ; then
-               einfo "Press ENTER to configure the keystone PKI, or Control-C 
to abort now..."
-               read
-               "${ROOT}"/usr/bin/keystone-manage pki_setup --keystone-user 
keystone --keystone-group keystone
-       else
-               einfo "keystone PKI certificates directory already present, 
skipping configuration"
-       fi
-}

diff --git a/sys-auth/keystone/keystone-2017.2.9999.ebuild 
b/sys-auth/keystone/keystone-2017.2.9999.ebuild
deleted file mode 100644
index e0508ad9583..00000000000
--- a/sys-auth/keystone/keystone-2017.2.9999.ebuild
+++ /dev/null
@@ -1,176 +0,0 @@
-# Copyright 1999-2018 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=6
-
-PYTHON_COMPAT=( python2_7 python3_{4,5,6} )
-
-inherit distutils-r1 git-r3 user
-
-DESCRIPTION="The Openstack authentication, authorization, and service catalog"
-HOMEPAGE="https://launchpad.net/keystone";
-EGIT_REPO_URI="https://github.com/openstack/keystone.git";
-EGIT_BRANCH="stable/pike"
-
-LICENSE="Apache-2.0"
-SLOT="0"
-KEYWORDS=""
-IUSE="+sqlite ldap memcached mongo mysql postgres test"
-REQUIRED_USE="|| ( mysql postgres sqlite )"
-
-CDEPEND=">=dev-python/pbr-2.0.0[${PYTHON_USEDEP}]
-       !~dev-python/pbr-2.1.0"
-DEPEND="
-       dev-python/setuptools[${PYTHON_USEDEP}]
-       ${CDEPEND}"
-RDEPEND="
-       ${CDEPEND}
-       >=dev-python/Babel-2.3.4[${PYTHON_USEDEP}]
-       !~dev-python/Babel-2.4.0[${PYTHON_USEDEP}]
-       >=dev-python/webob-1.7.1[${PYTHON_USEDEP}]
-       >=dev-python/pastedeploy-1.5.0[${PYTHON_USEDEP}]
-       dev-python/paste[${PYTHON_USEDEP}]
-       >=dev-python/routes-2.3.1[${PYTHON_USEDEP}]
-       >=dev-python/cryptography-1.6[${PYTHON_USEDEP}]
-       !~dev-python/cryptography-2.0[${PYTHON_USEDEP}]
-       >=dev-python/six-1.9.0[${PYTHON_USEDEP}]
-       sqlite? (
-               >=dev-python/sqlalchemy-1.0.10[sqlite,${PYTHON_USEDEP}]
-               !~dev-python/sqlalchemy-1.1.5[sqlite,${PYTHON_USEDEP}]
-               !~dev-python/sqlalchemy-1.1.6[sqlite,${PYTHON_USEDEP}]
-               !~dev-python/sqlalchemy-1.1.7[sqlite,${PYTHON_USEDEP}]
-               !~dev-python/sqlalchemy-1.1.8[sqlite,${PYTHON_USEDEP}]
-       )
-       mysql? (
-               >=dev-python/pymysql-0.7.6[${PYTHON_USEDEP}]
-               !~dev-python/pymysql-0.7.7[${PYTHON_USEDEP}]
-               >=dev-python/sqlalchemy-1.0.10[${PYTHON_USEDEP}]
-               !~dev-python/sqlalchemy-1.1.5[${PYTHON_USEDEP}]
-               !~dev-python/sqlalchemy-1.1.6[${PYTHON_USEDEP}]
-               !~dev-python/sqlalchemy-1.1.7[${PYTHON_USEDEP}]
-               !~dev-python/sqlalchemy-1.1.8[${PYTHON_USEDEP}]
-       )
-       postgres? (
-               >=dev-python/psycopg-2.5.0[${PYTHON_USEDEP}]
-               >=dev-python/sqlalchemy-1.0.10[${PYTHON_USEDEP}]
-               !~dev-python/sqlalchemy-1.1.5[${PYTHON_USEDEP}]
-               !~dev-python/sqlalchemy-1.1.6[${PYTHON_USEDEP}]
-               !~dev-python/sqlalchemy-1.1.7[${PYTHON_USEDEP}]
-               !~dev-python/sqlalchemy-1.1.8[${PYTHON_USEDEP}]
-       )
-       >=dev-python/sqlalchemy-migrate-0.11.0[${PYTHON_USEDEP}]
-       >=dev-python/stevedore-1.20.0[${PYTHON_USEDEP}]
-       >=dev-python/passlib-1.7.0[${PYTHON_USEDEP}]
-       >=dev-python/python-keystoneclient-3.8.0[${PYTHON_USEDEP}]
-       >=dev-python/keystonemiddleware-4.12.0[${PYTHON_USEDEP}]
-       >=dev-python/bcrypt-3.1.3[${PYTHON_USEDEP}]
-       >=dev-python/scrypt-0.8.0[${PYTHON_USEDEP}]
-       >=dev-python/oslo-cache-1.5.0[${PYTHON_USEDEP}]
-       >=dev-python/oslo-concurrency-3.8.0[${PYTHON_USEDEP}]
-       >=dev-python/oslo-config-4.0.0[${PYTHON_USEDEP}]
-       !~dev-python/oslo-config-4.3.0[${PYTHON_USEDEP}]
-       !~dev-python/oslo-config-4.4.0[${PYTHON_USEDEP}]
-       >=dev-python/oslo-context-2.14.0[${PYTHON_USEDEP}]
-       >=dev-python/oslo-messaging-5.24.2[${PYTHON_USEDEP}]
-       !~dev-python/oslo-messaging-5.25.0[${PYTHON_USEDEP}]
-       >=dev-python/oslo-db-4.24.0[${PYTHON_USEDEP}]
-       >=dev-python/oslo-i18n-2.1.0[${PYTHON_USEDEP}]
-       !~dev-python/oslo-i18n-3.15.2[${PYTHON_USEDEP}]
-       >=dev-python/oslo-log-3.22.0[${PYTHON_USEDEP}]
-       >=dev-python/oslo-middleware-3.27.0[${PYTHON_USEDEP}]
-       >=dev-python/oslo-policy-1.23.0[${PYTHON_USEDEP}]
-       >=dev-python/oslo-serialization-1.10.0[${PYTHON_USEDEP}]
-       !~dev-python/oslo-serialization-1.19.1[${PYTHON_USEDEP}]
-       >=dev-python/oslo-utils-3.20.0[${PYTHON_USEDEP}]
-       >=dev-python/oauthlib-0.6.0[${PYTHON_USEDEP}]
-       >=dev-python/pysaml2-2.4.0[${PYTHON_USEDEP}]
-       <dev-python/pysaml2-4.0.3[${PYTHON_USEDEP}]
-       >=dev-python/dogpile-cache-0.6.2[${PYTHON_USEDEP}]
-       >=dev-python/jsonschema-2.0.0[${PYTHON_USEDEP}]
-       !~dev-python/jsonschema-2.5.0[${PYTHON_USEDEP}]
-       <dev-python/jsonschema-3.0.0[${PYTHON_USEDEP}]
-       >=dev-python/pycadf-1.1.0[${PYTHON_USEDEP}]
-       !~dev-python/pycadf-2.0.0[${PYTHON_USEDEP}]
-       >=dev-python/msgpack-0.4.0[${PYTHON_USEDEP}]
-       >=dev-python/osprofiler-1.4.0[${PYTHON_USEDEP}]
-       >=dev-python/pytz-2013.6[${PYTHON_USEDEP}]
-       memcached? (
-               >=dev-python/python-memcached-1.56[${PYTHON_USEDEP}]
-       )
-       mongo? (
-               >=dev-python/pymongo-3.0.2[${PYTHON_USEDEP}]
-               !~dev-python/pymongo-3.1[${PYTHON_USEDEP}]
-       )
-       ldap? (
-               >=dev-python/pyldap-2.4.20[${PYTHON_USEDEP}]
-               >=dev-python/ldappool-2.0.0[${PYTHON_USEDEP}]
-       )
-       || (
-               www-servers/uwsgi[python,${PYTHON_USEDEP}]
-               www-apache/mod_wsgi[${PYTHON_USEDEP}]
-               www-servers/gunicorn[${PYTHON_USEDEP}]
-       )"
-
-#PATCHES=(
-#)
-
-pkg_setup() {
-       enewgroup keystone
-       enewuser keystone -1 -1 /var/lib/keystone keystone
-}
-
-python_prepare_all() {
-       # it's in git, but not in the tarball.....
-       sed -i '/^hacking/d' test-requirements.txt || die
-       mkdir -p ${PN}/tests/tmp/ || die
-       cp etc/keystone-paste.ini ${PN}/tests/tmp/ || die
-       sed -i 's|/usr/local|/usr|g' httpd/keystone-uwsgi-* || die
-       sed -i 's|python|python27|g' httpd/keystone-uwsgi-* || die
-       # allow useage of renamed msgpack
-       sed -i '/^msgpack/d' requirements.txt || die
-       distutils-r1_python_prepare_all
-}
-
-python_test() {
-       nosetests -I 'test_keystoneclient*' \
-               -e test_static_translated_string_is_Message \
-               -e test_get_token_id_error_handling \
-               -e test_provider_token_expiration_validation \
-               -e test_import --process-restartworker --process-timeout=60 || 
die "testsuite failed under python2.7"
-}
-
-python_install_all() {
-       distutils-r1_python_install_all
-
-       diropts -m 0750
-       keepdir /etc/keystone /var/log/keystone
-       insinto /etc/keystone
-       insopts -m0640 -okeystone -gkeystone
-       doins etc/keystone.conf.sample etc/logging.conf.sample
-       doins etc/default_catalog.templates
-       doins etc/policy.v3cloudsample.json etc/keystone-paste.ini
-       insinto /etc/keystone/httpd
-       doins httpd/*
-
-       fowners keystone:keystone /etc/keystone /etc/keystone/httpd 
/var/log/keystone
-}
-
-pkg_postinst() {
-       elog "You might want to run:"
-       elog "emerge --config =${CATEGORY}/${PF}"
-       elog "if this is a new install."
-       elog "If you have not already configured your openssl installation"
-       elog "please do it by modifying /etc/ssl/openssl.cnf"
-       elog "BEFORE issuing the configuration command."
-       elog "Otherwise default values will be used."
-}
-
-pkg_config() {
-       if [ ! -d "${ROOT}"/etc/keystone/ssl ] ; then
-               einfo "Press ENTER to configure the keystone PKI, or Control-C 
to abort now..."
-               read
-               "${ROOT}"/usr/bin/keystone-manage pki_setup --keystone-user 
keystone --keystone-group keystone
-       else
-               einfo "keystone PKI certificates directory already present, 
skipping configuration"
-       fi
-}

diff --git a/sys-auth/keystone/keystone-2018.1.9999.ebuild 
b/sys-auth/keystone/keystone-2018.1.9999.ebuild
deleted file mode 100644
index 8d1bf3cc971..00000000000
--- a/sys-auth/keystone/keystone-2018.1.9999.ebuild
+++ /dev/null
@@ -1,176 +0,0 @@
-# Copyright 1999-2018 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=6
-
-PYTHON_COMPAT=( python2_7 python3_{4,5,6} )
-
-inherit distutils-r1 user
-
-DESCRIPTION="The Openstack authentication, authorization, and service catalog"
-HOMEPAGE="https://launchpad.net/keystone";
-if [[ ${PV} == *9999 ]];then
-       inherit git-r3
-       EGIT_REPO_URI="https://github.com/openstack/keystone.git";
-       EGIT_BRANCH="stable/queens"
-else
-       SRC_URI="https://tarballs.openstack.org/${PN}/${P}.tar.gz";
-       KEYWORDS="~amd64 ~arm64 ~x86"
-fi
-
-LICENSE="Apache-2.0"
-SLOT="0"
-IUSE="+sqlite ldap memcached mongo mysql postgres test"
-REQUIRED_USE="|| ( mysql postgres sqlite )"
-
-CDEPEND=">=dev-python/pbr-2.0.0[${PYTHON_USEDEP}]
-       !~dev-python/pbr-2.1.0"
-DEPEND="
-       dev-python/setuptools[${PYTHON_USEDEP}]
-       ${CDEPEND}"
-RDEPEND="
-       ${CDEPEND}
-       >=dev-python/Babel-2.3.4[${PYTHON_USEDEP}]
-       !~dev-python/Babel-2.4.0[${PYTHON_USEDEP}]
-       >=dev-python/webob-1.7.1[${PYTHON_USEDEP}]
-       >=dev-python/pastedeploy-1.5.0[${PYTHON_USEDEP}]
-       >=dev-python/paste-2.0.2[${PYTHON_USEDEP}]
-       >=dev-python/routes-2.3.1[${PYTHON_USEDEP}]
-       >=dev-python/cryptography-1.9[${PYTHON_USEDEP}]
-       !~dev-python/cryptography-2.0[${PYTHON_USEDEP}]
-       >=dev-python/six-1.10.0[${PYTHON_USEDEP}]
-       sqlite? (
-               >=dev-python/sqlalchemy-1.0.10[sqlite,${PYTHON_USEDEP}]
-               !~dev-python/sqlalchemy-1.1.5[sqlite,${PYTHON_USEDEP}]
-               !~dev-python/sqlalchemy-1.1.6[sqlite,${PYTHON_USEDEP}]
-               !~dev-python/sqlalchemy-1.1.7[sqlite,${PYTHON_USEDEP}]
-               !~dev-python/sqlalchemy-1.1.8[sqlite,${PYTHON_USEDEP}]
-       )
-       mysql? (
-               >=dev-python/pymysql-0.7.6[${PYTHON_USEDEP}]
-               !~dev-python/pymysql-0.7.7[${PYTHON_USEDEP}]
-               >=dev-python/sqlalchemy-1.0.10[${PYTHON_USEDEP}]
-               !~dev-python/sqlalchemy-1.1.5[${PYTHON_USEDEP}]
-               !~dev-python/sqlalchemy-1.1.6[${PYTHON_USEDEP}]
-               !~dev-python/sqlalchemy-1.1.7[${PYTHON_USEDEP}]
-               !~dev-python/sqlalchemy-1.1.8[${PYTHON_USEDEP}]
-       )
-       postgres? (
-               >=dev-python/psycopg-2.5.0[${PYTHON_USEDEP}]
-               >=dev-python/sqlalchemy-1.0.10[${PYTHON_USEDEP}]
-               !~dev-python/sqlalchemy-1.1.5[${PYTHON_USEDEP}]
-               !~dev-python/sqlalchemy-1.1.6[${PYTHON_USEDEP}]
-               !~dev-python/sqlalchemy-1.1.7[${PYTHON_USEDEP}]
-               !~dev-python/sqlalchemy-1.1.8[${PYTHON_USEDEP}]
-       )
-       >=dev-python/sqlalchemy-migrate-0.11.0[${PYTHON_USEDEP}]
-       >=dev-python/stevedore-1.20.0[${PYTHON_USEDEP}]
-       >=dev-python/passlib-1.7.0[${PYTHON_USEDEP}]
-       >=dev-python/python-keystoneclient-3.8.0[${PYTHON_USEDEP}]
-       >=dev-python/keystonemiddleware-4.17.0[${PYTHON_USEDEP}]
-       >=dev-python/bcrypt-3.1.3[${PYTHON_USEDEP}]
-       >=dev-python/scrypt-0.8.0[${PYTHON_USEDEP}]
-       >=dev-python/oslo-cache-1.26.0[${PYTHON_USEDEP}]
-       >=dev-python/oslo-concurrency-3.25.0[${PYTHON_USEDEP}]
-       >=dev-python/oslo-config-5.1.0[${PYTHON_USEDEP}]
-       >=dev-python/oslo-context-2.14.0[${PYTHON_USEDEP}]
-       >=dev-python/oslo-messaging-5.29.0[${PYTHON_USEDEP}]
-       >=dev-python/oslo-db-4.27.0[${PYTHON_USEDEP}]
-       >=dev-python/oslo-i18n-3.15.3[${PYTHON_USEDEP}]
-       >=dev-python/oslo-log-3.36.0[${PYTHON_USEDEP}]
-       >=dev-python/oslo-middleware-3.31.0[${PYTHON_USEDEP}]
-       >=dev-python/oslo-policy-1.30.0[${PYTHON_USEDEP}]
-       >=dev-python/oslo-serialization-1.18.0[${PYTHON_USEDEP}]
-       !~dev-python/oslo-serialization-1.19.1[${PYTHON_USEDEP}]
-       >=dev-python/oslo-utils-3.33.0[${PYTHON_USEDEP}]
-       >=dev-python/oauthlib-0.6.0[${PYTHON_USEDEP}]
-       >=dev-python/pysaml2-4.0.2[${PYTHON_USEDEP}]
-       <dev-python/pysaml2-4.0.3[${PYTHON_USEDEP}]
-       >=dev-python/dogpile-cache-0.6.2[${PYTHON_USEDEP}]
-       >=dev-python/jsonschema-2.6.0[${PYTHON_USEDEP}]
-       <dev-python/jsonschema-3.0.0[${PYTHON_USEDEP}]
-       >=dev-python/pycadf-1.1.0[${PYTHON_USEDEP}]
-       !~dev-python/pycadf-2.0.0[${PYTHON_USEDEP}]
-       >=dev-python/msgpack-0.4.0[${PYTHON_USEDEP}]
-       >=dev-python/osprofiler-1.4.0[${PYTHON_USEDEP}]
-       >=dev-python/pytz-2013.6[${PYTHON_USEDEP}]
-       memcached? (
-               >=dev-python/python-memcached-1.56[${PYTHON_USEDEP}]
-       )
-       mongo? (
-               >=dev-python/pymongo-3.0.2[${PYTHON_USEDEP}]
-               !~dev-python/pymongo-3.1[${PYTHON_USEDEP}]
-       )
-       ldap? (
-               >=dev-python/pyldap-2.4.20[${PYTHON_USEDEP}]
-               >=dev-python/ldappool-2.0.0[${PYTHON_USEDEP}]
-       )
-       || (
-               www-servers/uwsgi[python,${PYTHON_USEDEP}]
-               www-apache/mod_wsgi[${PYTHON_USEDEP}]
-               www-servers/gunicorn[${PYTHON_USEDEP}]
-       )"
-
-#PATCHES=(
-#)
-
-pkg_setup() {
-       enewgroup keystone
-       enewuser keystone -1 -1 /var/lib/keystone keystone
-}
-
-python_prepare_all() {
-       # it's in git, but not in the tarball.....
-       sed -i '/^hacking/d' test-requirements.txt || die
-       mkdir -p ${PN}/tests/tmp/ || die
-       cp etc/keystone-paste.ini ${PN}/tests/tmp/ || die
-       sed -i 's|/usr/local|/usr|g' httpd/keystone-uwsgi-* || die
-       sed -i 's|python|python27|g' httpd/keystone-uwsgi-* || die
-       # allow useage of renamed msgpack
-       sed -i '/^msgpack/d' requirements.txt || die
-       distutils-r1_python_prepare_all
-}
-
-python_test() {
-       nosetests -I 'test_keystoneclient*' \
-               -e test_static_translated_string_is_Message \
-               -e test_get_token_id_error_handling \
-               -e test_provider_token_expiration_validation \
-               -e test_import --process-restartworker --process-timeout=60 || 
die "testsuite failed under python2.7"
-}
-
-python_install_all() {
-       distutils-r1_python_install_all
-
-       diropts -m 0750
-       keepdir /etc/keystone /var/log/keystone
-       insinto /etc/keystone
-       insopts -m0640 -okeystone -gkeystone
-       doins etc/keystone.conf.sample etc/logging.conf.sample
-       doins etc/default_catalog.templates
-       doins etc/policy.v3cloudsample.json etc/keystone-paste.ini
-       insinto /etc/keystone/httpd
-       doins httpd/*
-
-       fowners keystone:keystone /etc/keystone /etc/keystone/httpd 
/var/log/keystone
-}
-
-pkg_postinst() {
-       elog "You might want to run:"
-       elog "emerge --config =${CATEGORY}/${PF}"
-       elog "if this is a new install."
-       elog "If you have not already configured your openssl installation"
-       elog "please do it by modifying /etc/ssl/openssl.cnf"
-       elog "BEFORE issuing the configuration command."
-       elog "Otherwise default values will be used."
-}
-
-pkg_config() {
-       if [ ! -d "${ROOT}"/etc/keystone/ssl ] ; then
-               einfo "Press ENTER to configure the keystone PKI, or Control-C 
to abort now..."
-               read
-               "${ROOT}"/usr/bin/keystone-manage pki_setup --keystone-user 
keystone --keystone-group keystone
-       else
-               einfo "keystone PKI certificates directory already present, 
skipping configuration"
-       fi
-}

Reply via email to